Bug Hunting Session
Bug 90372 - ACCESSIBILITY List Fields in dialog Text Import (Insert > Sheet from file) not accessible by key board
Summary: ACCESSIBILITY List Fields in dialog Text Import (Insert > Sheet from file) no...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0 beta1
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: BSA target:5.1.0 target:5.0.4
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks:
 
Reported: 2015-03-31 13:28 UTC by Cor Nouws
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-03-31 13:28:26 UTC
as per subject
(and there are more of those complex widgets that suffer from this problem)
Comment 1 Cor Nouws 2015-03-31 13:29:20 UTC
It's a result (unfinished edge) of the much appreciated dialog rework.
Comment 2 Commit Notification 2015-11-13 10:58:21 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efe694737e6c0822bb14a5dd52ad8148e38bb952

tdf#90372: Make VclScrolledWindow candidate for tabstopping

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Katarina Behrens (CIB) 2015-11-13 10:59:19 UTC
@Cor: cherry-pick this to 5.0 as well?
Comment 4 Cor Nouws 2015-11-13 15:35:49 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> @Cor: cherry-pick this to 5.0 as well?

Yes please - thanks!
Comment 5 Commit Notification 2015-11-23 11:34:57 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=377381e276a4157fe063ed40635f7851b268bcd5&h=libreoffice-5-0

tdf#90372: Make VclScrolledWindow candidate for tabstopping

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 11:09:48 UTC Comment hidden (obsolete)